[arch-commits] Commit in binutils/repos (8 files)

Allan McRae allan at nymeria.archlinux.org
Tue Aug 13 10:52:16 UTC 2013


    Date: Tuesday, August 13, 2013 @ 12:52:16
  Author: allan
Revision: 192508

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  binutils/repos/staging-i686/
  binutils/repos/staging-i686/PKGBUILD
    (from rev 192507, binutils/trunk/PKGBUILD)
  binutils/repos/staging-i686/binutils-2.23.2-texinfo-5.0.patch
    (from rev 192507, binutils/trunk/binutils-2.23.2-texinfo-5.0.patch)
  binutils/repos/staging-i686/binutils.install
    (from rev 192507, binutils/trunk/binutils.install)
  binutils/repos/staging-x86_64/
  binutils/repos/staging-x86_64/PKGBUILD
    (from rev 192507, binutils/trunk/PKGBUILD)
  binutils/repos/staging-x86_64/binutils-2.23.2-texinfo-5.0.patch
    (from rev 192507, binutils/trunk/binutils-2.23.2-texinfo-5.0.patch)
  binutils/repos/staging-x86_64/binutils.install
    (from rev 192507, binutils/trunk/binutils.install)

--------------------------------------------------+
 staging-i686/PKGBUILD                            |   79 ++++++++++
 staging-i686/binutils-2.23.2-texinfo-5.0.patch   |  162 +++++++++++++++++++++
 staging-i686/binutils.install                    |   17 ++
 staging-x86_64/PKGBUILD                          |   79 ++++++++++
 staging-x86_64/binutils-2.23.2-texinfo-5.0.patch |  162 +++++++++++++++++++++
 staging-x86_64/binutils.install                  |   17 ++
 6 files changed, 516 insertions(+)

Copied: binutils/repos/staging-i686/PKGBUILD (from rev 192507, binutils/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2013-08-13 10:52:16 UTC (rev 192508)
@@ -0,0 +1,79 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+
+# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
+
+pkgname=binutils
+pkgver=2.23.2
+pkgrel=3
+pkgdesc="A set of programs to assemble and manipulate binary and object files"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/binutils/"
+license=('GPL')
+groups=('base-devel')
+depends=('glibc>=2.18' 'zlib')
+checkdepends=('dejagnu' 'bc')
+options=('!libtool' '!distcc' '!ccache')
+install=binutils.install
+source=(ftp://ftp.gnu.org/gnu/binutils/binutils-${pkgver}.tar.bz2{,.sig}
+        binutils-2.23.2-texinfo-5.0.patch)
+md5sums=('4f8fa651e35ef262edc01d60fb45702e'
+         'dfde4428f08d91f309cdcfe92bf28d08'
+         '34e439ce23213a91e2af872dfbb5094c')
+
+prepare() {
+  cd ${srcdir}/binutils-${pkgver}
+
+  # http://sourceware.org/git/?p=binutils.git;a=patch;h=e02bf935
+  # http://sourceware.org/git/?p=binutils.git;a=patch;h=935f8542
+  patch -p1 -i ${srcdir}/binutils-2.23.2-texinfo-5.0.patch
+
+  # hack! - libiberty configure tests for header files using "$CPP $CPPFLAGS"
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+
+  mkdir ${srcdir}/binutils-build
+}
+
+build() {
+  cd ${srcdir}/binutils-build
+
+  ${srcdir}/binutils-${pkgver}/configure --prefix=/usr \
+    --with-lib-path=/usr/lib:/usr/local/lib \
+    --with-bugurl=https://bugs.archlinux.org/ \
+    --enable-ld=default --enable-gold \
+    --enable-plugins --enable-threads \
+    --with-pic --enable-shared \
+    --disable-werror --disable-multilib
+
+  # check the host environment and makes sure all the necessary tools are available
+  make configure-host
+
+  make tooldir=/usr
+}
+
+check() {
+  cd ${srcdir}/binutils-build
+  
+  # unset LDFLAGS as testsuite makes assumptions about which ones are active
+  # do not abort on errors - manually check log files
+  make LDFLAGS="" -k check || true
+}
+
+package() {
+  cd ${srcdir}/binutils-build
+  make prefix=${pkgdir}/usr tooldir=${pkgdir}/usr install
+  
+  # Add some useful headers
+  install -m644 ${srcdir}/binutils-${pkgver}/include/libiberty.h ${pkgdir}/usr/include
+  install -m644 ${srcdir}/binutils-${pkgver}/include/demangle.h ${pkgdir}/usr/include
+
+  # Install PIC libiberty.a
+  install -m644 libiberty/pic/libiberty.a ${pkgdir}/usr/lib
+
+  # Remove unwanted files
+  rm ${pkgdir}/usr/share/man/man1/{dlltool,nlmconv,windres,windmc}*
+  rm ${pkgdir}/usr/share/info/{configure,standards}.info
+
+  # No shared linking to these files outside binutils
+  rm ${pkgdir}/usr/lib/lib{bfd,opcodes}.so
+}

Copied: binutils/repos/staging-i686/binutils-2.23.2-texinfo-5.0.patch (from rev 192507, binutils/trunk/binutils-2.23.2-texinfo-5.0.patch)
===================================================================
--- staging-i686/binutils-2.23.2-texinfo-5.0.patch	                        (rev 0)
+++ staging-i686/binutils-2.23.2-texinfo-5.0.patch	2013-08-13 10:52:16 UTC (rev 192508)
@@ -0,0 +1,162 @@
+diff --git a/bfd/doc/bfd.texinfo b/bfd/doc/bfd.texinfo
+index 45ffa73..3aa3300 100644
+--- a/bfd/doc/bfd.texinfo
++++ b/bfd/doc/bfd.texinfo
+@@ -322,7 +324,7 @@ All of BFD lives in one directory.
+ @printindex cp
+ 
+ @tex
+-% I think something like @colophon should be in texinfo.  In the
++% I think something like @@colophon should be in texinfo.  In the
+ % meantime:
+ \long\def\colophon{\hbox to0pt{}\vfill
+ \centerline{The body of this manual is set in}
+@@ -333,7 +335,7 @@ All of BFD lives in one directory.
+ \centerline{{\sl\fontname\tensl\/}}
+ \centerline{are used for emphasis.}\vfill}
+ \page\colophon
+-% Blame: doc at cygnus.com, 28mar91.
++% Blame: doc@@cygnus.com, 28mar91.
+ @end tex
+ 
+ @bye
+diff --git a/binutils/doc/binutils.texi b/binutils/doc/binutils.texi
+index 56a0510..fb1802b 100644
+--- a/binutils/doc/binutils.texi
++++ b/binutils/doc/binutils.texi
+@@ -148,18 +148,18 @@ in the section entitled ``GNU Free Documentation License''.
+ * objcopy::			Copy and translate object files
+ * objdump::                     Display information from object files
+ * ranlib::                      Generate index to archive contents
+-* readelf::                     Display the contents of ELF format files
+ * size::                        List section sizes and total size
+ * strings::                     List printable strings from files
+ * strip::                       Discard symbols
+-* elfedit::                     Update the ELF header of ELF files
+ * c++filt::			Filter to demangle encoded C++ symbols
+ * cxxfilt: c++filt.             MS-DOS name for c++filt
+ * addr2line::			Convert addresses to file and line
+ * nlmconv::                     Converts object code into an NLM
+-* windres::			Manipulate Windows resources
+ * windmc::			Generator for Windows message resources
++* windres::			Manipulate Windows resources
+ * dlltool::			Create files needed to build and use DLLs
++* readelf::                     Display the contents of ELF format files
++* elfedit::                     Update the ELF header of ELF files
+ * Common Options::              Command-line options for all utilities
+ * Selecting the Target System:: How these utilities determine the target
+ * Reporting Bugs::              Reporting Bugs
+@@ -2907,7 +2907,7 @@ the Info entries for @file{binutils}.
+ @c man end
+ @end ignore
+ 
+- at node c++filt, addr2line, elfedit, Top
++ at node c++filt, addr2line, strip, Top
+ @chapter c++filt
+ 
+ @kindex c++filt
+@@ -4384,7 +4384,7 @@ equivalent. At least one of the @option{--output-mach},
+ 
+ @table @env
+ 
+- at itemx --input-mach=@var{machine}
++ at item --input-mach=@var{machine}
+ Set the matching input ELF machine type to @var{machine}.  If
+ @option{--input-mach} isn't specified, it will match any ELF
+ machine types.
+@@ -4392,21 +4392,21 @@ machine types.
+ The supported ELF machine types are, @var{L1OM}, @var{K1OM} and
+ @var{x86-64}.
+ 
+- at itemx --output-mach=@var{machine}
++ at item --output-mach=@var{machine}
+ Change the ELF machine type in the ELF header to @var{machine}.  The
+ supported ELF machine types are the same as @option{--input-mach}.
+ 
+- at itemx --input-type=@var{type}
++ at item --input-type=@var{type}
+ Set the matching input ELF file type to @var{type}.  If
+ @option{--input-type} isn't specified, it will match any ELF file types.
+ 
+ The supported ELF file types are, @var{rel}, @var{exec} and @var{dyn}.
+ 
+- at itemx --output-type=@var{type}
++ at item --output-type=@var{type}
+ Change the ELF file type in the ELF header to @var{type}.  The
+ supported ELF types are the same as @option{--input-type}.
+ 
+- at itemx --input-osabi=@var{osabi}
++ at item --input-osabi=@var{osabi}
+ Set the matching input ELF file OSABI to @var{osabi}.  If
+ @option{--input-osabi} isn't specified, it will match any ELF OSABIs.
+ 
+@@ -4416,7 +4416,7 @@ The supported ELF OSABIs are, @var{none}, @var{HPUX}, @var{NetBSD},
+ @var{FreeBSD}, @var{TRU64}, @var{Modesto}, @var{OpenBSD}, @var{OpenVMS},
+ @var{NSK}, @var{AROS} and @var{FenixOS}.
+ 
+- at itemx --output-osabi=@var{osabi}
++ at item --output-osabi=@var{osabi}
+ Change the ELF OSABI in the ELF header to @var{osabi}.  The
+ supported ELF OSABI are the same as @option{--input-osabi}.
+ 
+diff --git a/ld/ld.texinfo b/ld/ld.texinfo
+index c7ae2a5..4777ad5 100644
+--- a/ld/ld.texinfo
++++ b/ld/ld.texinfo
+@@ -142,12 +144,12 @@ in the section entitled ``GNU Free Documentation License''.
+ @ifset ARM
+ * ARM::				ld and the ARM family
+ @end ifset
+- at ifset HPPA
+-* HPPA ELF32::                  ld and HPPA 32-bit ELF
+- at end ifset
+ @ifset M68HC11
+ * M68HC11/68HC12::              ld and the Motorola 68HC11 and 68HC12 families
+ @end ifset
++ at ifset HPPA
++* HPPA ELF32::                  ld and HPPA 32-bit ELF
++ at end ifset
+ @ifset M68K
+ * M68K::                        ld and Motorola 68K family
+ @end ifset
+@@ -6012,6 +6014,9 @@ functionality are not listed.
+ @ifset I960
+ * i960::                        @command{ld} and the Intel 960 family
+ @end ifset
++ at ifset M68HC11
++* M68HC11/68HC12::		@code{ld} and the Motorola 68HC11 and 68HC12 families
++ at end ifset
+ @ifset ARM
+ * ARM::				@command{ld} and the ARM family
+ @end ifset
+@@ -6027,9 +6032,6 @@ functionality are not listed.
+ @ifset MSP430
+ * MSP430::			@command{ld} and MSP430
+ @end ifset
+- at ifset M68HC11
+-* M68HC11/68HC12::		@code{ld} and the Motorola 68HC11 and 68HC12 families
+- at end ifset
+ @ifset POWERPC
+ * PowerPC ELF32::		@command{ld} and PowerPC 32-bit ELF Support
+ @end ifset
+@@ -7877,7 +7879,7 @@ If you have more than one @code{SECT} statement for the same
+ @printindex cp
+ 
+ @tex
+-% I think something like @colophon should be in texinfo.  In the
++% I think something like @@colophon should be in texinfo.  In the
+ % meantime:
+ \long\def\colophon{\hbox to0pt{}\vfill
+ \centerline{The body of this manual is set in}
+@@ -7888,7 +7890,7 @@ If you have more than one @code{SECT} statement for the same
+ \centerline{{\sl\fontname\tensl\/}}
+ \centerline{are used for emphasis.}\vfill}
+ \page\colophon
+-% Blame: doc at cygnus.com, 28mar91.
++% Blame: doc@@cygnus.com, 28mar91.
+ @end tex
+ 
+ @bye
+-- 
+1.7.1
+

Copied: binutils/repos/staging-i686/binutils.install (from rev 192507, binutils/trunk/binutils.install)
===================================================================
--- staging-i686/binutils.install	                        (rev 0)
+++ staging-i686/binutils.install	2013-08-13 10:52:16 UTC (rev 192508)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+filelist=(as.info bfd.info binutils.info gprof.info ld.info)
+
+post_upgrade() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+

Copied: binutils/repos/staging-x86_64/PKGBUILD (from rev 192507, binutils/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2013-08-13 10:52:16 UTC (rev 192508)
@@ -0,0 +1,79 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+
+# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
+
+pkgname=binutils
+pkgver=2.23.2
+pkgrel=3
+pkgdesc="A set of programs to assemble and manipulate binary and object files"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/binutils/"
+license=('GPL')
+groups=('base-devel')
+depends=('glibc>=2.18' 'zlib')
+checkdepends=('dejagnu' 'bc')
+options=('!libtool' '!distcc' '!ccache')
+install=binutils.install
+source=(ftp://ftp.gnu.org/gnu/binutils/binutils-${pkgver}.tar.bz2{,.sig}
+        binutils-2.23.2-texinfo-5.0.patch)
+md5sums=('4f8fa651e35ef262edc01d60fb45702e'
+         'dfde4428f08d91f309cdcfe92bf28d08'
+         '34e439ce23213a91e2af872dfbb5094c')
+
+prepare() {
+  cd ${srcdir}/binutils-${pkgver}
+
+  # http://sourceware.org/git/?p=binutils.git;a=patch;h=e02bf935
+  # http://sourceware.org/git/?p=binutils.git;a=patch;h=935f8542
+  patch -p1 -i ${srcdir}/binutils-2.23.2-texinfo-5.0.patch
+
+  # hack! - libiberty configure tests for header files using "$CPP $CPPFLAGS"
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+
+  mkdir ${srcdir}/binutils-build
+}
+
+build() {
+  cd ${srcdir}/binutils-build
+
+  ${srcdir}/binutils-${pkgver}/configure --prefix=/usr \
+    --with-lib-path=/usr/lib:/usr/local/lib \
+    --with-bugurl=https://bugs.archlinux.org/ \
+    --enable-ld=default --enable-gold \
+    --enable-plugins --enable-threads \
+    --with-pic --enable-shared \
+    --disable-werror --disable-multilib
+
+  # check the host environment and makes sure all the necessary tools are available
+  make configure-host
+
+  make tooldir=/usr
+}
+
+check() {
+  cd ${srcdir}/binutils-build
+  
+  # unset LDFLAGS as testsuite makes assumptions about which ones are active
+  # do not abort on errors - manually check log files
+  make LDFLAGS="" -k check || true
+}
+
+package() {
+  cd ${srcdir}/binutils-build
+  make prefix=${pkgdir}/usr tooldir=${pkgdir}/usr install
+  
+  # Add some useful headers
+  install -m644 ${srcdir}/binutils-${pkgver}/include/libiberty.h ${pkgdir}/usr/include
+  install -m644 ${srcdir}/binutils-${pkgver}/include/demangle.h ${pkgdir}/usr/include
+
+  # Install PIC libiberty.a
+  install -m644 libiberty/pic/libiberty.a ${pkgdir}/usr/lib
+
+  # Remove unwanted files
+  rm ${pkgdir}/usr/share/man/man1/{dlltool,nlmconv,windres,windmc}*
+  rm ${pkgdir}/usr/share/info/{configure,standards}.info
+
+  # No shared linking to these files outside binutils
+  rm ${pkgdir}/usr/lib/lib{bfd,opcodes}.so
+}

Copied: binutils/repos/staging-x86_64/binutils-2.23.2-texinfo-5.0.patch (from rev 192507, binutils/trunk/binutils-2.23.2-texinfo-5.0.patch)
===================================================================
--- staging-x86_64/binutils-2.23.2-texinfo-5.0.patch	                        (rev 0)
+++ staging-x86_64/binutils-2.23.2-texinfo-5.0.patch	2013-08-13 10:52:16 UTC (rev 192508)
@@ -0,0 +1,162 @@
+diff --git a/bfd/doc/bfd.texinfo b/bfd/doc/bfd.texinfo
+index 45ffa73..3aa3300 100644
+--- a/bfd/doc/bfd.texinfo
++++ b/bfd/doc/bfd.texinfo
+@@ -322,7 +324,7 @@ All of BFD lives in one directory.
+ @printindex cp
+ 
+ @tex
+-% I think something like @colophon should be in texinfo.  In the
++% I think something like @@colophon should be in texinfo.  In the
+ % meantime:
+ \long\def\colophon{\hbox to0pt{}\vfill
+ \centerline{The body of this manual is set in}
+@@ -333,7 +335,7 @@ All of BFD lives in one directory.
+ \centerline{{\sl\fontname\tensl\/}}
+ \centerline{are used for emphasis.}\vfill}
+ \page\colophon
+-% Blame: doc at cygnus.com, 28mar91.
++% Blame: doc@@cygnus.com, 28mar91.
+ @end tex
+ 
+ @bye
+diff --git a/binutils/doc/binutils.texi b/binutils/doc/binutils.texi
+index 56a0510..fb1802b 100644
+--- a/binutils/doc/binutils.texi
++++ b/binutils/doc/binutils.texi
+@@ -148,18 +148,18 @@ in the section entitled ``GNU Free Documentation License''.
+ * objcopy::			Copy and translate object files
+ * objdump::                     Display information from object files
+ * ranlib::                      Generate index to archive contents
+-* readelf::                     Display the contents of ELF format files
+ * size::                        List section sizes and total size
+ * strings::                     List printable strings from files
+ * strip::                       Discard symbols
+-* elfedit::                     Update the ELF header of ELF files
+ * c++filt::			Filter to demangle encoded C++ symbols
+ * cxxfilt: c++filt.             MS-DOS name for c++filt
+ * addr2line::			Convert addresses to file and line
+ * nlmconv::                     Converts object code into an NLM
+-* windres::			Manipulate Windows resources
+ * windmc::			Generator for Windows message resources
++* windres::			Manipulate Windows resources
+ * dlltool::			Create files needed to build and use DLLs
++* readelf::                     Display the contents of ELF format files
++* elfedit::                     Update the ELF header of ELF files
+ * Common Options::              Command-line options for all utilities
+ * Selecting the Target System:: How these utilities determine the target
+ * Reporting Bugs::              Reporting Bugs
+@@ -2907,7 +2907,7 @@ the Info entries for @file{binutils}.
+ @c man end
+ @end ignore
+ 
+- at node c++filt, addr2line, elfedit, Top
++ at node c++filt, addr2line, strip, Top
+ @chapter c++filt
+ 
+ @kindex c++filt
+@@ -4384,7 +4384,7 @@ equivalent. At least one of the @option{--output-mach},
+ 
+ @table @env
+ 
+- at itemx --input-mach=@var{machine}
++ at item --input-mach=@var{machine}
+ Set the matching input ELF machine type to @var{machine}.  If
+ @option{--input-mach} isn't specified, it will match any ELF
+ machine types.
+@@ -4392,21 +4392,21 @@ machine types.
+ The supported ELF machine types are, @var{L1OM}, @var{K1OM} and
+ @var{x86-64}.
+ 
+- at itemx --output-mach=@var{machine}
++ at item --output-mach=@var{machine}
+ Change the ELF machine type in the ELF header to @var{machine}.  The
+ supported ELF machine types are the same as @option{--input-mach}.
+ 
+- at itemx --input-type=@var{type}
++ at item --input-type=@var{type}
+ Set the matching input ELF file type to @var{type}.  If
+ @option{--input-type} isn't specified, it will match any ELF file types.
+ 
+ The supported ELF file types are, @var{rel}, @var{exec} and @var{dyn}.
+ 
+- at itemx --output-type=@var{type}
++ at item --output-type=@var{type}
+ Change the ELF file type in the ELF header to @var{type}.  The
+ supported ELF types are the same as @option{--input-type}.
+ 
+- at itemx --input-osabi=@var{osabi}
++ at item --input-osabi=@var{osabi}
+ Set the matching input ELF file OSABI to @var{osabi}.  If
+ @option{--input-osabi} isn't specified, it will match any ELF OSABIs.
+ 
+@@ -4416,7 +4416,7 @@ The supported ELF OSABIs are, @var{none}, @var{HPUX}, @var{NetBSD},
+ @var{FreeBSD}, @var{TRU64}, @var{Modesto}, @var{OpenBSD}, @var{OpenVMS},
+ @var{NSK}, @var{AROS} and @var{FenixOS}.
+ 
+- at itemx --output-osabi=@var{osabi}
++ at item --output-osabi=@var{osabi}
+ Change the ELF OSABI in the ELF header to @var{osabi}.  The
+ supported ELF OSABI are the same as @option{--input-osabi}.
+ 
+diff --git a/ld/ld.texinfo b/ld/ld.texinfo
+index c7ae2a5..4777ad5 100644
+--- a/ld/ld.texinfo
++++ b/ld/ld.texinfo
+@@ -142,12 +144,12 @@ in the section entitled ``GNU Free Documentation License''.
+ @ifset ARM
+ * ARM::				ld and the ARM family
+ @end ifset
+- at ifset HPPA
+-* HPPA ELF32::                  ld and HPPA 32-bit ELF
+- at end ifset
+ @ifset M68HC11
+ * M68HC11/68HC12::              ld and the Motorola 68HC11 and 68HC12 families
+ @end ifset
++ at ifset HPPA
++* HPPA ELF32::                  ld and HPPA 32-bit ELF
++ at end ifset
+ @ifset M68K
+ * M68K::                        ld and Motorola 68K family
+ @end ifset
+@@ -6012,6 +6014,9 @@ functionality are not listed.
+ @ifset I960
+ * i960::                        @command{ld} and the Intel 960 family
+ @end ifset
++ at ifset M68HC11
++* M68HC11/68HC12::		@code{ld} and the Motorola 68HC11 and 68HC12 families
++ at end ifset
+ @ifset ARM
+ * ARM::				@command{ld} and the ARM family
+ @end ifset
+@@ -6027,9 +6032,6 @@ functionality are not listed.
+ @ifset MSP430
+ * MSP430::			@command{ld} and MSP430
+ @end ifset
+- at ifset M68HC11
+-* M68HC11/68HC12::		@code{ld} and the Motorola 68HC11 and 68HC12 families
+- at end ifset
+ @ifset POWERPC
+ * PowerPC ELF32::		@command{ld} and PowerPC 32-bit ELF Support
+ @end ifset
+@@ -7877,7 +7879,7 @@ If you have more than one @code{SECT} statement for the same
+ @printindex cp
+ 
+ @tex
+-% I think something like @colophon should be in texinfo.  In the
++% I think something like @@colophon should be in texinfo.  In the
+ % meantime:
+ \long\def\colophon{\hbox to0pt{}\vfill
+ \centerline{The body of this manual is set in}
+@@ -7888,7 +7890,7 @@ If you have more than one @code{SECT} statement for the same
+ \centerline{{\sl\fontname\tensl\/}}
+ \centerline{are used for emphasis.}\vfill}
+ \page\colophon
+-% Blame: doc at cygnus.com, 28mar91.
++% Blame: doc@@cygnus.com, 28mar91.
+ @end tex
+ 
+ @bye
+-- 
+1.7.1
+

Copied: binutils/repos/staging-x86_64/binutils.install (from rev 192507, binutils/trunk/binutils.install)
===================================================================
--- staging-x86_64/binutils.install	                        (rev 0)
+++ staging-x86_64/binutils.install	2013-08-13 10:52:16 UTC (rev 192508)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+filelist=(as.info bfd.info binutils.info gprof.info ld.info)
+
+post_upgrade() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+




More information about the arch-commits mailing list